[bumpversion]
current_version = 0.1.0a6
commit = True
tag = True
parse = (?P<major>\d+)\.(?P<minor>\d+)\.?(?P<patch>\d*)(?P<prerelease_marker>[abrc]{0,2})(?P<prerelease>\d*)
serialize = 
	{major}.{minor}.{patch}{prerelease_marker}{prerelease}
	{major}.{minor}.{patch}

[bumpversion:part:prerelease_marker]
values = 
	a
	b
	rc

[bumpversion:file:docs/conf.py]
search = release = "{current_version}"
replace = release = "{new_version}"

[bumpversion:file:pathsummary.py]
search = __version__ = "{current_version}"
replace = __version__ = "{new_version}"

[bdist_wheel]
universal = 1

[aliases]

[metadata]
name = pathsummary
author = David Scheliga
url = https://gitlab.com/david.scheliga/pathsummary
project_urls = 
	Documentation = https://pathsummary.readthedocs.io/en/latest/
	Source Code Repository = https://gitlab.com/david.scheliga/pathsummary
description = Summarizes the content of a path returning a table.
long_description = file: README.md, CHANGELOG.md, LICENSE.md
long_description_content_type = text/markdown
keywords = 
license = GNU General Public License V3 (GPLv3)
classifiers = 
	Development Status :: 3 - Alpha
	License :: OSI Approved :: GNU General Public License v3 (GPLv3)
	Operating System :: OS Independent
	Programming Language :: Python :: 3
	Programming Language :: Python :: 3.6
	Programming Language :: Python :: 3.7
	Programming Language :: Python :: 3.8
	Programming Language :: Python :: 3.9

[options]
py_modules = pathsummary
include_package_data = True
install_requires = 
	pandas>=1.0.0
	pathwalker>=0.0.1
	click>=7.2.1

[options.entry_points]
console_scripts = 
	pathsummary = pathsummary:cli
